zabbix_export:
  version: '6.0'
  date: '2024-04-22T19:13:37Z'
  groups:
    - uuid: 62387e6bd63145b6b4b5a3330d69b509
      name: 'Community Templates'
    - uuid: 504d5c09ffde4d16b7289eaf901d8f93
      name: Templates/Grouper
  templates:
    - uuid: 61f251fe1ca0431c999c6058783bbf03
      template: 'Template Grouper Status Page'
      name: 'Template Grouper Status Page'
      description: |
        This templates uses the HTTP agent item to ingest Grouper status pages and parse them for relevant data using Dependent items and preprocessing. 
        
        All Source and Loader Job items are disabled by default. Enable these items after assigning values to the relevant {$SOURCE#} and {$JOB#} macros. If additional macros ae required, add them to the Status page item's "includeOnly" query values.
      groups:
        - name: 'Community Templates'
        - name: Templates/Grouper
      items:
        - uuid: 382d18cb50c246e89204fe7bfe073c9c
          name: 'DB Test - Retrieved object from cache time elapsed'
          type: DEPENDENT
          key: db.dbtest
          delay: '0'
          history: 7d
          units: ms
          preprocessing:
            - type: REGEX
              parameters:
                - 'SUCCESS dbTest_grouper: Retrieved object from (cache|database) \(([0-9]+)ms elapsed\)'
                - \2
              error_handler: CUSTOM_ERROR
              error_handler_params: 'Preprocessing error'
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'DB Status'
          triggers:
            - uuid: 34da069186d346bab2d8dcc47cef71b5
              expression: 'min(/Template Grouper Status Page/db.dbtest,#5)>2000 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'Cache retreived time elapsed warning - {ITEM.VALUE}'
              url: '{$STATUS_URL}'
              status: DISABLED
              priority: WARNING
              description: 'The last 5 cache retrievals have taken greater than 2 seconds'
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
        - uuid: 11aebfdcf21347059d988ad68039f28a
          name: Status
          type: DEPENDENT
          key: grouper.status
          delay: '0'
          history: 7d
          trends: '0'
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '<h1>Grouper status ([A-Z\s]+)'
                - \1
              error_handler: CUSTOM_ERROR
              error_handler_params: 'Preprocessing error'
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'DB Status'
          triggers:
            - uuid: 44f957d7bfd644aba533dd2c02a899e7
              expression: 'find(/Template Grouper Status Page/grouper.status,,"like","SUCCESS")=0 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'DB page Error'
              url: '{$STATUS_URL}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
            - uuid: 81162f6d37fb48ef970d891810b8d378
              expression: 'nodata(/Template Grouper Status Page/grouper.status,20m)=1 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'No Data Received on Grouper DB Status'
              url: '{$STATUS_URL}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
        - uuid: 256ffd9156224af9a989dd3b0d4a86a6
          name: 'Status Available'
          type: DEPENDENT
          key: grouper.status.avail
          delay: '0'
          history: 7d
          description: 'Used for a numerical representation of availability for graphing.'
          valuemap:
            name: 'Host availability'
          preprocessing:
            - type: REGEX
              parameters:
                - '<h1>Grouper status ([A-Z\s]+)'
                - '\1:SUCCESS=1'
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
            - type: REGEX
              parameters:
                - '(SUCCESS)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - '240'
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'DB Status'
        - uuid: 6945bed09bf145adbabf4d36b50b5eb1
          name: 'Loader Job Errors'
          type: HTTP_AGENT
          key: job.errors.url
          delay: 2m
          history: 7d
          units: Errors
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)errors in the diagnostic tasks:'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          url: '{$STATUS_URL}'
          query_fields:
            - name: diagnosticType
              value: all
          status_codes: '200,500'
          tags:
            - tag: Application
              value: 'Raw Item'
        - uuid: f9fe461ec0d3495ea9dae5dba3dcd955
          name: 'Status page'
          type: HTTP_AGENT
          key: job.url
          delay: 2m
          history: '0'
          trends: '0'
          value_type: TEXT
          description: 'Pulls status page as a raw item for consumption. Add or remove {$JOB} macros based on the number of loader jobs you are performing. Must match the number of items and corresponding macros.'
          url: '{$STATUS_URL}'
          query_fields:
            - name: diagnosticType
              value: all
            - name: includeOnly
              value: 'memoryTest,dbTest_grouper,{$JOB1},{$JOB2},{$JOB3},{$JOB4},{$JOB5},{$JOB6},{$SOURCE1},{$SOURCE2},{$SOURCE3},{$SOURCE4},{$SOURCE5},{$SOURCE6}'
          status_codes: '200,500'
          tags:
            - tag: Application
              value: 'Raw Item'
        - uuid: c8a80792be534872a942e5b5a0089726
          name: 'Loader Job - {$JOB1}'
          type: DEPENDENT
          key: loader.job1
          delay: '0'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '{$JOB1}.* (success)'
                - \1
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Loader Jobs'
          triggers:
            - uuid: 0562ba220b3a46bab83d25abb8a8ab2e
              expression: 'find(/Template Grouper Status Page/loader.job1,,"like","success")=0 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'Job Error - {$JOB1}'
              url: 'https://your.grouper.dom/grouper-ws/status?diagnosticType=all&includeOnly={$JOB1}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
            - uuid: aa40af1ec4c2498d929f22a35a026327
              expression: 'nodata(/Template Grouper Status Page/loader.job1,10m)=1  and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'No Data Received on {$JOB1}'
              url: 'https://your.grouper.dom/grouper-ws/status?diagnosticType=all&includeOnly={$JOB1}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
        - uuid: e81dfd5b8aaa46fda0fd469b1d91abea
          name: 'Loader Job Available - {$JOB1}'
          type: DEPENDENT
          key: loader.job1.avail
          delay: '0'
          history: 7d
          status: DISABLED
          valuemap:
            name: 'Host availability'
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)(\n)?'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: failure
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:success=1'
              error_handler: CUSTOM_VALUE
              error_handler_params: ':failure=0'
            - type: REGEX
              parameters:
                - '(success|failure)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          master_item:
            key: loader.job1
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: 86daba02a6aa445ba91987eeadb1cdc9
          name: 'Loader Job - {$JOB2}'
          type: DEPENDENT
          key: loader.job2
          delay: '0'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '{$JOB2}.* (success)'
                - \1
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Loader Jobs'
          triggers:
            - uuid: 9185ce76b0444ee2ba559c339cd825b6
              expression: 'find(/Template Grouper Status Page/loader.job2,,"like","success")=0 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'Job Error - {$JOB2}'
              url: 'https://your.grouper.dom/grouper-ws/status?diagnosticType=all&includeOnly={$JOB1}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
            - uuid: 6848f2ebc3804b69884a38bf78e07a19
              expression: 'nodata(/Template Grouper Status Page/loader.job2,10m)=1 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'No Data Received on {$JOB2}'
              url: 'https://your.grouper.dom/grouper-ws/status?diagnosticType=all&includeOnly={$JOB1}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
        - uuid: e754d24cd4f14451a489dc2338fb98ee
          name: 'Loader Job Available - {$JOB2}'
          type: DEPENDENT
          key: loader.job2.avail
          delay: '0'
          history: 7d
          status: DISABLED
          valuemap:
            name: 'Host availability'
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)(\n)?'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: failure
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:success=1'
              error_handler: CUSTOM_VALUE
              error_handler_params: ':failure=0'
            - type: REGEX
              parameters:
                - '(success|failure)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          master_item:
            key: loader.job2
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: 49e0057f13084a54abb585aef42ea1b5
          name: 'Loader Job - {$JOB3}'
          type: DEPENDENT
          key: loader.job3
          delay: '0'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '{$JOB3}.* (success)'
                - \1
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Loader Jobs'
          triggers:
            - uuid: 93e7e01ca2594eae9f8e0a1126df6ae4
              expression: 'find(/Template Grouper Status Page/loader.job3,,"like","success")=0 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'Job Error - {$JOB3}'
              url: 'https://your.grouper.dom/grouper-ws/status?diagnosticType=all&includeOnly={$JOB1}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
            - uuid: efa7ac51c0694f7985d9ab9cffaa8e6b
              expression: 'nodata(/Template Grouper Status Page/loader.job3,10m)=1 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'No Data Received on {$JOB3}'
              url: 'https://your.grouper.dom/grouper-ws/status?diagnosticType=all&includeOnly={$JOB1}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
        - uuid: 3b1b35492368494aa101abd9a7444e52
          name: 'Loader Job Available - {$JOB3}'
          type: DEPENDENT
          key: loader.job3.avail
          delay: '0'
          history: 7d
          status: DISABLED
          valuemap:
            name: 'Host availability'
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)(\n)?'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: failure
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:success=1'
              error_handler: CUSTOM_VALUE
              error_handler_params: ':failure=0'
            - type: REGEX
              parameters:
                - '(success|failure)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          master_item:
            key: loader.job3
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: f743302a753f485e9642c3371d9b09f7
          name: 'Loader Job - {$JOB4}'
          type: DEPENDENT
          key: loader.job4
          delay: '0'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '{$JOB4}.* (success)'
                - \1
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Loader Jobs'
          triggers:
            - uuid: 5a8dce395e58465fa259e32bea756a84
              expression: 'find(/Template Grouper Status Page/loader.job4,,"like","success")=0 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'Job Error - {$JOB4}'
              url: 'https://your.grouper.dom/grouper-ws/status?diagnosticType=all&includeOnly={$JOB1}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
            - uuid: 19c14c2a3c3b4854bd7082e99deeb5c6
              expression: 'nodata(/Template Grouper Status Page/loader.job4,10m)=1 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'No Data Received on {$JOB4}'
              url: 'https://your.grouper.dom/grouper-ws/status?diagnosticType=all&includeOnly={$JOB1}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
        - uuid: 342fd4ec204240b78daa93640c0569b9
          name: 'Loader Job Available - {$JOB4}'
          type: DEPENDENT
          key: loader.job4.avail
          delay: '0'
          history: 7d
          status: DISABLED
          valuemap:
            name: 'Host availability'
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)(\n)?'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: failure
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:success=1'
              error_handler: CUSTOM_VALUE
              error_handler_params: ':failure=0'
            - type: REGEX
              parameters:
                - '(success|failure)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          master_item:
            key: loader.job4
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: fe474b466eb5426ebd8cfb3291a0995b
          name: 'Loader Job - {$JOB5}'
          type: DEPENDENT
          key: loader.job5
          delay: '0'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '{$JOB5}.* (success)'
                - \1
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Loader Jobs'
          triggers:
            - uuid: 80e001afb945450093137e5d319eb3d8
              expression: 'find(/Template Grouper Status Page/loader.job5,,"like","success")=0 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'Job Error - {$JOB5}'
              url: 'https://your.grouper.dom/grouper-ws/status?diagnosticType=all&includeOnly={$JOB1}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
            - uuid: 2c66dca88cd147afb9f958bbcc7e2222
              expression: 'nodata(/Template Grouper Status Page/loader.job5,10m)=1 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'No Data Received on {$JOB5}'
              url: 'https://your.grouper.dom/grouper-ws/status?diagnosticType=all&includeOnly={$JOB1}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
        - uuid: 39d5781ee7234a0b8c6b5588c0f79605
          name: 'Loader Job Available - {$JOB5}'
          type: DEPENDENT
          key: loader.job5.avail
          delay: '0'
          history: 7d
          status: DISABLED
          valuemap:
            name: 'Host availability'
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)(\n)?'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: failure
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:success=1'
              error_handler: CUSTOM_VALUE
              error_handler_params: ':failure=0'
            - type: REGEX
              parameters:
                - '(success|failure)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          master_item:
            key: loader.job5
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: d2d097246e254c719b0e05f09743f25a
          name: 'Loader Job - {$JOB6}'
          type: DEPENDENT
          key: loader.job6
          delay: '0'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '{$JOB6}.* (success)'
                - \1
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Loader Jobs'
          triggers:
            - uuid: e6e76b268f984d92b660c6513665cc72
              expression: 'find(/Template Grouper Status Page/loader.job6,,"like","success")=0 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'Job Error - {$JOB6}'
              url: 'https://your.grouper.dom/grouper-ws/status?diagnosticType=all&includeOnly={$JOB1}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
            - uuid: 31158ff8a4b64bd9a0c2ca16b1a07332
              expression: 'nodata(/Template Grouper Status Page/loader.job6,10m)=1 and (time()<{$TRIGGER_START_TIME} or time()>{$TRIGGER_END_TIME})'
              name: 'No Data Received on {$JOB6}'
              url: 'https://your.grouper.dom/grouper-ws/status?diagnosticType=all&includeOnly={$JOB1}'
              status: DISABLED
              priority: WARNING
              manual_close: 'YES'
              tags:
                - tag: 'Blackout Window'
        - uuid: 2edcbd48e4734a73bb1fe8c61706c612
          name: 'Loader Job Available - {$JOB6}'
          type: DEPENDENT
          key: loader.job6.avail
          delay: '0'
          history: 7d
          status: DISABLED
          valuemap:
            name: 'Host availability'
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)(\n)?'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: failure
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:success=1'
              error_handler: CUSTOM_VALUE
              error_handler_params: ':failure=0'
            - type: REGEX
              parameters:
                - '(success|failure)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          master_item:
            key: loader.job6
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: ae3fe9ae75c64f2085a53fb99e8b7a55
          name: 'Source - {$SOURCE1}'
          type: DEPENDENT
          key: source1
          delay: '0'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '{$SOURCE1}.* (successfully|Searched)'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: 'Success or Serached not found for source'
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: c716a136a3af4f5e9d638502c2378b48
          name: 'Source Available - {$SOURCE1}'
          type: DEPENDENT
          key: source1.avail
          delay: '0'
          history: 7d
          status: DISABLED
          valuemap:
            name: 'Source available'
          preprocessing:
            - type: REGEX
              parameters:
                - (successfully|Searched)
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
            - type: STR_REPLACE
              parameters:
                - successfully
                - '1'
            - type: STR_REPLACE
              parameters:
                - Searched
                - '2'
          master_item:
            key: source1
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: 689e8d9889dc41a591bef5ba26e9f247
          name: 'Source - {$SOURCE2}'
          type: DEPENDENT
          key: source2
          delay: '0'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '{$SOURCE2}.* (successfully)'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: 'Success not found for source'
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: 48f7b4888be747898736d7f9060f75bd
          name: 'Source Available - {$SOURCE2}'
          type: DEPENDENT
          key: source2.avail
          delay: '0'
          history: 7d
          status: DISABLED
          valuemap:
            name: 'Source available'
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)(\n)?'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: failure
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:successfully=1'
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:Searched=2'
              error_handler: CUSTOM_VALUE
              error_handler_params: ':failure=0'
            - type: REGEX
              parameters:
                - '(successfully|failure)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          master_item:
            key: source2
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: b0759a92e1b14a27ac7dd8200234b525
          name: 'Source - {$SOURCE3}'
          type: DEPENDENT
          key: source3
          delay: '0'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '{$SOURCE3}.* (successfully)'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: 'Success not found for source'
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: 8f1a29f6a1124f0980cba87dfc30a88b
          name: 'Source Available - {$SOURCE3}'
          type: DEPENDENT
          key: source3.avail
          delay: '0'
          history: 7d
          status: DISABLED
          valuemap:
            name: 'Source available'
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)(\n)?'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: failure
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:successfully=1'
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:Searched=2'
              error_handler: CUSTOM_VALUE
              error_handler_params: ':failure=0'
            - type: REGEX
              parameters:
                - '(successfully|failure)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          master_item:
            key: source3
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: a030fe435a944acd8f611d968839278a
          name: 'Source - {$SOURCE4}'
          type: DEPENDENT
          key: source4
          delay: '0'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '{$SOURCE4}.* (successfully)'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: 'Success not found for source'
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: 8f10449e98f0405db0394796da51d249
          name: 'Source Available - {$SOURCE4}'
          type: DEPENDENT
          key: source4.avail
          delay: '0'
          history: 7d
          status: DISABLED
          valuemap:
            name: 'Source available'
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)(\n)?'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: failure
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:successfully=1'
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:Searched=2'
              error_handler: CUSTOM_VALUE
              error_handler_params: ':failure=0'
            - type: REGEX
              parameters:
                - '(successfully|failure)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          master_item:
            key: source4
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: 42d8e8f38dd849afac1da73d1ac119f5
          name: 'Source - {$SOURCE5}'
          type: DEPENDENT
          key: source5
          delay: '0'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '{$SOURCE5}.* (successfully)'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: 'Success not found for source'
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: 107c55a2a15040568fd9f9b43b5022f1
          name: 'Source Available - {$SOURCE5}'
          type: DEPENDENT
          key: source5.avail
          delay: '0'
          history: 7d
          status: DISABLED
          valuemap:
            name: 'Source available'
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)(\n)?'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: failure
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:successfully=1'
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:Searched=2'
              error_handler: CUSTOM_VALUE
              error_handler_params: ':failure=0'
            - type: REGEX
              parameters:
                - '(successfully|failure)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          master_item:
            key: source5
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: 272addb33883477297c8dc1eccedabae
          name: 'Source - {$SOURCE6}'
          type: DEPENDENT
          key: source6
          delay: '0'
          history: 7d
          trends: '0'
          status: DISABLED
          value_type: TEXT
          preprocessing:
            - type: REGEX
              parameters:
                - '{$SOURCE6}.* (successfully)'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: 'Success not found for source'
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: 470cf01165284dd0908b5045b0bf5c9f
          name: 'Source Available - {$SOURCE6}'
          type: DEPENDENT
          key: source6.avail
          delay: '0'
          history: 7d
          status: DISABLED
          valuemap:
            name: 'Source available'
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)(\n)?'
                - \1
              error_handler: CUSTOM_VALUE
              error_handler_params: failure
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:successfully=1'
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:Searched=2'
              error_handler: CUSTOM_VALUE
              error_handler_params: ':failure=0'
            - type: REGEX
              parameters:
                - '(successfully|failure)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          master_item:
            key: source6
          tags:
            - tag: Application
              value: 'Loader Jobs'
        - uuid: 95ead45d3eeb4607acf969624c801efb
          name: 'Memory Test Allocated'
          type: DEPENDENT
          key: sources.memory.allocated
          delay: '0'
          history: 7d
          units: B
          preprocessing:
            - type: REGEX
              parameters:
                - 'SUCCESS memoryTest: Allocating ([0-9]+)'
                - \1
            - type: IN_RANGE
              parameters:
                - '50000'
                - '200000'
              error_handler: CUSTOM_ERROR
              error_handler_params: 'Value out of range'
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Sources Status'
        - uuid: 741fa2803ae346f09eaea2fc416f9278
          name: 'Memory Test Status'
          type: DEPENDENT
          key: sources.memory.status
          delay: '0'
          history: 7d
          trends: '0'
          value_type: CHAR
          preprocessing:
            - type: REGEX
              parameters:
                - '(SUCCESS) memoryTest'
                - \1
          master_item:
            key: job.url
          tags:
            - tag: Application
              value: 'Sources Status'
        - uuid: c3ce77a30b0a44fa9b817804116cbd25
          name: 'Memory Test Status Available'
          type: DEPENDENT
          key: sources.memory.status.avail
          delay: '0'
          history: 7d
          valuemap:
            name: 'Host availability'
          preprocessing:
            - type: REGEX
              parameters:
                - '(.*)'
                - '\1:SUCCESS=1'
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
            - type: REGEX
              parameters:
                - '(SUCCESS)(?=.*:\1=(\d))'
                - \2
              error_handler: CUSTOM_VALUE
              error_handler_params: '0'
          master_item:
            key: sources.memory.status
          tags:
            - tag: Application
              value: 'Sources Status'
      macros:
        - macro: '{$JOB1}'
          value: 'loader_<Job type and name>'
          description: 'Example: loader_OTHER_JOB_grouperWorkflowDaemon'
        - macro: '{$JOB2}'
          description: 'Example: loader_OTHER_JOB_grouperWorkflowDaemon'
        - macro: '{$JOB3}'
          description: 'Example: loader_OTHER_JOB_grouperWorkflowDaemon'
        - macro: '{$JOB4}'
          description: 'Example: loader_OTHER_JOB_grouperWorkflowDaemon'
        - macro: '{$JOB5}'
          description: 'Example: loader_OTHER_JOB_grouperWorkflowDaemon'
        - macro: '{$JOB6}'
          description: 'Example: loader_OTHER_JOB_grouperWorkflowDaemon'
        - macro: '{$SOURCE1}'
          value: 'source_<source to check>'
          description: 'Example: source_grouperEntities'
        - macro: '{$SOURCE2}'
        - macro: '{$SOURCE3}'
        - macro: '{$SOURCE4}'
        - macro: '{$SOURCE5}'
        - macro: '{$SOURCE6}'
        - macro: '{$STATUS_URL}'
          value: 'https://your.grouper.dom/grouper-ws/status'
          description: 'URL for the status page in your Grouper environment'
        - macro: '{$TRIGGER_END_TIME}'
          value: '051500'
          description: 'Start time'
        - macro: '{$TRIGGER_START_TIME}'
          value: '053500'
          description: 'End time'
      valuemaps:
        - uuid: 1db5fcf7adc9454495af3417993ce1b3
          name: 'Host availability'
          mappings:
            - value: '0'
              newvalue: 'not available'
            - value: '1'
              newvalue: available
            - value: '2'
              newvalue: unknown
        - uuid: fa841e32d713441a990160cfe5c30c7e
          name: 'Source available'
          mappings:
            - value: '0'
              newvalue: Failed
            - value: '1'
              newvalue: Success
            - value: '2'
              newvalue: Searched
  graphs:
    - uuid: 3132b746aa3240f08eb8d41c513a0aa7
      name: 'Diagnostic Errors on Loader Jobs'
      graph_items:
        - color: 1A7C11
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: job.errors.url
    - uuid: 2e5bab9da3244bf39037186233532708
      name: 'Retrieved object from cache time elapsed'
      graph_items:
        - color: 1A7C11
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: db.dbtest
    - uuid: cb44f9be2c0c4b6f919adaa41191b3a7
      name: 'Sources Available'
      graph_items:
        - color: 1A7C11
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: source1.avail
        - sortorder: '1'
          color: '274482'
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: source2.avail
        - sortorder: '2'
          color: F63100
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: source3.avail
        - sortorder: '3'
          color: 2774A4
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: source4.avail
        - sortorder: '4'
          color: A54F10
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: source5.avail
        - sortorder: '5'
          color: FC6EA3
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: source6.avail
    - uuid: 35e509a5bfb4454a89a0408d1c7f0253
      name: 'Success of Loader Jobs'
      graph_items:
        - color: 1A7C11
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: loader.job1.avail
        - sortorder: '1'
          color: '274482'
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: loader.job2.avail
        - sortorder: '2'
          color: F63100
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: loader.job3.avail
        - sortorder: '3'
          color: 2774A4
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: loader.job4.avail
        - sortorder: '4'
          color: A54F10
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: loader.job5.avail
        - sortorder: '5'
          color: FC6EA3
          calc_fnc: ALL
          item:
            host: 'Template Grouper Status Page'
            key: loader.job6.avail
